from cobra.io import read_sbml_model

small_model = read_sbml_model('/Users/uridavidakavia/PycharmProjects/cobrapy/tests/data/textbook.xml.gz')
model = small_model.copy()

for i, cons in enumerate(small_model.constraints):
    print(f'Small Model constraint: {cons.name}, ub: {cons.ub}, lb: {cons.lb}')
    model_cons = model.constraints[i]
    print(f'Model constraint: {model_cons.name}, ub: {model_cons.ub}, lb: {model_cons.lb}')

small_solution = model.optimize()
model_solution = model.optimize()
for key, flux in enumerate(small_solution.fluxes.items()):
    model_flux = (model_solution.fluxes.index[key], model_solution.fluxes[key])
    if flux != model_flux:
        print(f'{key} Small Model flux {flux} vs Model flux {model_flux}')

small_model.reactions.get_by_id('ACONTa').knock_out()
small_solution = model.optimize()

model.reactions.get_by_id('ACONTa').knock_out()
model_solution = model.optimize()

for key, flux in enumerate(small_solution.fluxes.items()):
    model_flux = (model_solution.fluxes.index[key], model_solution.fluxes[key])
    if flux != model_flux:
        print(f'{key} Small Model flux {flux} vs Model flux {model_flux}')